﻿namespace Microsoft.Services.TestTools.UITesting.Html
{
    using System;

    /// <summary>
    /// Use the ApplicationPathAttribute to specify an alternative application path to be used by the <see cref="Page"/> launcher.
    /// </summary>

    public class ApplicationAttribute : Attribute
    {

        /// <summary>
        /// Initializes a new instance of the <see cref="ApplicationPathAttribute"/> class.
        /// </summary>
        /// <param name="name">The name of the Uri to use</param>
        public ApplicationAttribute(string application)
        {
            Application = application;
        }

        /// <summary>
        /// Gets the name of the base Uri.
        /// </summary>
        /// <value>
        /// The name of the base Uri.
        /// </value>
        public string Application { get; private set; }
    }
}